SystemOrganization addCategory: #Deprecated20!

!VirtualMachine class methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:42'!
vmFullPath
	self deprecated: 'use #fullPath' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self fullPath! !

!VirtualMachine class methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:42'!
vmPath
	self deprecated: 'use #path' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self path! !

Exception subclass: #ProgressInitiationException
	instanceVariableNames: 'workBlock maxVal minVal aPoint progressTitle'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated20'!

!ProgressInitiationException commentStamp: '<historical>' prior: 0!
I provide a way to alter the behavior of the old-style progress notifier in String. See examples in:

ProgressInitiationException testWithout.
ProgressInitiationException testWith.
!

!ProgressInitiationException class methodsFor: 'signalling' stamp: 'ajh 1/22/2003 23:51'!
display: aString at: aPoint from: minVal to: maxVal during: workBlock

	^ self new
		display: aString at: aPoint from: minVal to: maxVal during: workBlock! !

!ProgressInitiationException methodsFor: 'action' stamp: 'CamilloBruni 8/30/2012 16:15'!
defaultAction

	^ UIManager default 
		displayProgress: progressTitle 
		from: minVal 
		to: maxVal 
		during: workBlock! !

!ProgressInitiationException methodsFor: 'initialize-release' stamp: 'RAA 5/15/2000 11:43'!
display: argString at: argPoint from: argMinVal to: argMaxVal during: argWorkBlock

	progressTitle := argString.
	aPoint := argPoint.
	minVal := argMinVal.
	maxVal := argMaxVal.
	workBlock := argWorkBlock.
	^self signal! !

!ProgressInitiationException methodsFor: 'accessing' stamp: 'JuanVuletich 10/28/2010 13:06'!
maxVal
	^maxVal! !

!ProgressInitiationException methodsFor: 'accessing' stamp: 'JuanVuletich 10/28/2010 13:06'!
minVal
	^minVal! !

!ProgressInitiationException methodsFor: 'accessing' stamp: 'JuanVuletich 10/28/2010 13:05'!
point
	^aPoint! !

!ProgressInitiationException methodsFor: 'accessing' stamp: 'JuanVuletich 10/28/2010 13:04'!
progressTitle
	^progressTitle! !

!ProgressInitiationException methodsFor: 'action' stamp: 'SeanDeNigris 6/21/2012 00:24'!
sendNotificationsTo: anObject

	self resume: (workBlock value: (anObject start: minVal; end: maxVal)).! !

!ProgressInitiationException methodsFor: 'accessing' stamp: 'pavel.krivanek 9/28/2006 20:31'!
workBlock 
	
	^ workBlock! !

!ProgressBarMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/22/2012 15:29'!
barSize: anInteger
	self deprecated: 'use #value: instead' on: '05/14/2012' in: 'Pharo 2.0'.
	
	value := anInteger.
	self changed.! !

!CompiledMethod methodsFor: '*deprecated20' stamp: 'MarcusDenker 4/29/2012 12:02'!
getSourceFor: selector in: class
	self deprecated: 'just use #sourceCode' on: '29 April 2012' in: 'Pharo 2.0'.
	^self sourceCode.! !

!JobProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/14/2012 15:24'!
end: aNumber
	self deprecated: 'delete'.

	endValue := aNumber.! !

!JobProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/14/2012 15:24'!
endAt: aNumber
	self deprecated: 'delete'.

	endValue := aNumber.! !

!JobProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 6/20/2012 23:23'!
value: anObject

	self deprecated: 'Use SystemProgressItemMorph''s "API" protocol' on: '20 June, 2012' in: 'Pharo 2.0'.
	
	(anObject isKindOf: Number) ifTrue: [ self current: anObject ].
	((anObject isKindOf: String) and: [ anObject isSymbol not ]) ifTrue: [ ^ self label: anObject ].
	anObject = #label ifTrue: [ ^ self label ].
	anObject = #increment ifTrue: [ ^ self increment ].
	anObject = #decrement ifTrue: [ ^ self decrement ].
	anObject = #setMax ifTrue: [ ^ self error: '#setMax no longer supported. File a bug report if you want it back' ].
	anObject = #setMin ifTrue: [ ^ self error: '#setMin no longer supported. File a bug report if you want it back' ].
	anObject = #stripe ifTrue: [ ^ self error: '#stripe no longer supported. File a bug report if you want it back' ].! !

!BlockClosure methodsFor: '*deprecated20' stamp: 'SeanDeNigris 8/30/2012 10:40'!
silentlyValue
	"evaluates the receiver but avoiding progress bar notifications to show up."
	self deprecated: 'dont use' on: 'Jul 2012'  in: '2.0'.
	^ self asJob
			loggingProgress;
			run.! !

!ThumbnailImageMorph methodsFor: '*deprecated20' stamp: 'StephaneDucasse 4/22/2012 16:39'!
yesNoStringFor: aBool
	"Answer the string to be shown in a menu to represent the  
	yes/no status"
	self deprecated: 'use an Association instead of a string concatenation 'on: '22 April 2012' in: 'Pharo20'.
	^ (aBool
		ifTrue: ['<yes>']
		ifFalse: ['<no>'])
		! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:33'!
documentPath
	"Answer the absolute path of the document passed to the vm or nil if none."
	self deprecated: 'use Smalltalk vm documentPath' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^self vm documentPath! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:32'!
hasDisplay
	self deprecated: 'use isHeadless' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self isHeadless not! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:32'!
isTrunk
	self deprecated: 'unused' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ (self version allButFirst: 5) anySatisfy: [ :char | char isLetter ]! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:33'!
osVersion
	"Return the operating system version"
	self deprecated: 'use Smalltalk os version' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^self os version! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
platformName
	"Return the name of the platform we're running on"
	self deprecated: 'use Smalltalk os platformName' on:  '17 July 2012'  in: 'Pharo 2.0'.

	^ self platform name! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
platformSubtype
	"Return the subType of the platform we're running on"
	"Smalltalk platformSubtype"
	self deprecated: 'use Smalltalk os platformSubtype' on:  '17 July 2012'  in: 'Pharo 2.0'.

	^ self platform subtype! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:34'!
primVmPath
	"Answer the path for the directory containing the Smalltalk virtual machine. Return the empty string if this primitive is not implemented."
	"Smalltalk vmPath"
	<primitive: 142>

	self deprecated: 'use Smalltalk vm vmPath' on:  '13 July 2012'  in: 'Pharo 2.0'.


	^ ''! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:34'!
vmFullPath
	"Return the full vm path as a string"
	
	self deprecated: 'use Smalltalk vm fullPath' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^self vm fullPath! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
vmParameterAt: parameterIndex

	self deprecated: 'use Smalltalk vm parameterAt:' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^ self vm parameterAt: parameterIndex! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:36'!
vmParameterAt: parameterIndex put: newValue
	self deprecated: 'use Smalltalk vm parameterAt:put:' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^ self vm parameterAt: parameterIndex put: newValue! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:39'!
vmPath
	self deprecated: 'use Smalltalk vm path' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ self vm path
! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:40'!
windowSystemName			
	"Return the name of the window system currently being used for display."
	self deprecated: 'use Smalltalk os windowSystemName' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ self os windowSystemName! !

!SystemProgressMorph class methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/23/2012 00:55'!
close: aBlock
	self deprecated: 'Send #close directly to the progress item itself' on: '22 May 2012' in: 'Pharo 2.0'.

	UniqueInstance ifNotNil: [UniqueInstance close: aBlock]! !

!SystemProgressMorph class methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/23/2012 00:57'!
label: shortDescription min: minValue max: maxValue
	self deprecated: 'Use show:from:to:' on: '22 May 2012' in: 'Pharo 2.0'.

	^ self show: (shortDescription contractTo: 100) from: minValue asFloat to: maxValue asFloat.! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 8/29/2012 11:57'!
labelAt: aSystemProgressItemMorph put: aString
	"Change the label for the given progressBlock to aString."
	self deprecated: 'Send #label: directly to the progress item itself' on: '22 May 2012' in: 'Pharo 2.0'.
	
	aSystemProgressItemMorph label: aString.! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/23/2012 01:23'!
setLabel: shortDescription at: slot
	self deprecated: 'Use #label: directly on progress items instead' on: '22 May 2012' in: 'Pharo 2.0'.

	"There is no way to implement this in the new SystemProgressMorph. It doesn't make any sense because the items are not indexed"! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/22/2012 12:33'!
updateColor: aMorph color: aColor intensity: anInteger 
	"update the apareance of aMorph"
	
	| fill |
	self deprecated: 'No senders in image' on: '22 May 2012' in: 'Pharo 2.0'.

	self theme preferGradientFill ifFalse: [^ self].
	fill := GradientFillStyle ramp: {0.0 -> Color white. 1 ->aColor}.
	fill radial: false;
		origin: aMorph topLeft;
		direction: 0 @ aMorph height.
	aMorph fillStyle: fill! !

Object subclass: #LoggingSystemProgressItemMorph
	instanceVariableNames: 'start end'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated20'!

!LoggingSystemProgressItemMorph methodsFor: 'compatibility' stamp: 'SeanDeNigris 8/30/2012 10:50'!
current: aNumber

	self log: start printString,'  ', end printString, '  ', aNumber printString.! !

!LoggingSystemProgressItemMorph methodsFor: 'compatibility' stamp: 'SeanDeNigris 6/21/2012 00:27'!
end: aNumber

	end := aNumber.! !

!LoggingSystemProgressItemMorph methodsFor: 'compatibility' stamp: 'SeanDeNigris 8/30/2012 10:50'!
log: aString

	self traceCr: aString.! !

!LoggingSystemProgressItemMorph methodsFor: 'callbacks' stamp: 'SeanDeNigris 8/30/2012 10:51'!
onChange: aJob

	self log: start printString,'  ', end printString, '  ', aJob currentValue printString.! !

!LoggingSystemProgressItemMorph methodsFor: 'callbacks' stamp: 'SeanDeNigris 8/30/2012 10:52'!
onEnd: aJob

	self log: aJob title, ' complete'.! !

!LoggingSystemProgressItemMorph methodsFor: 'callbacks' stamp: 'SeanDeNigris 8/30/2012 10:51'!
onStart: aJob

	self log: aJob title.! !

!LoggingSystemProgressItemMorph methodsFor: 'compatibility' stamp: 'SeanDeNigris 6/21/2012 00:27'!
start: aNumber

	start := aNumber.! !

!Object methodsFor: '*deprecated20' stamp: 'MarcusDenker 5/12/2012 01:11'!
flash
	self deprecated: 'only makes sense on Morph' on:  '12 May 2012'   in: 'Pharo 2.0' 
	"Do nothing."
! !

!Job methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 8/30/2012 10:46'!
loggingProgress

	| log |
	log := LoggingSystemProgressItemMorph new.
	self announcer
		on: JobStart send: #onStart: to: log;
		on: JobChange send: #onChange: to: log;
		on: JobEnd send: #onEnd: to: log.! !
